function sal=dibujar(nombre)

   % abrimos el archivo
   fid=fopen(nombre,'r');
   if fid==-1, error('el archivo no existe'), end
   
   % leemos la cabecera
   titulo='';
   xlab='';
   linea='#';
   while linea(1)=='#',
      linea=fgetl(fid);
      if strcmp(linea(1:7),'# title'), titulo=linea(13:end); end
      if length(linea)>14,
        if strcmp(linea(1:14),'# X_axis_label'), xlab=linea(19:end); end
        if strcmp(linea(1:14),'# Y_axis_label'), ylab=linea(19:end); end
        %if strcmp(linea(1:14),'# line_ID_List'), numcols=(length(linea(19:end))+1)/2; end 
        if strcmp(linea(1:17),'# number_of_lines'), numcols=str2num(linea(21:end))+1; end 
        end
      end
   numdatos=str2num(linea);
   datos=zeros(numdatos,numcols);
   if strcmp(xlab,'Frequency [Hz]'), fft=1; else fft=0; end
   
   % a partir de aqui estan los datos
   for ind=1:numdatos,
      datos(ind,:)=cell2mat(textscan(fid, '%f', numcols));
   end

   % cerramos el archivo
   fclose(fid);
   
   % si no piden argumentos, dibujamos los datos
   if nargout==0,
       if fft, bar(datos(:,1),datos(:,2)), v=axis(); v(1)=0; axis(v);
       else, plot(datos(:,1),datos(:,2:end)), title(titulo), xlabel(xlab), ylabel(ylab), end
   else
       % y si los pide, le pasamos los datos
       sal=datos;
   end